
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../store/actions.dart';
import '../store/store.dart';
import '../widgets/desktop/desktop_view_ticket.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/breadcrumbs.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';
import '../widgets/mobile/mobile_view_ticket.dart';

class ViewTicket extends StatefulWidget {
  final int ticketId;

  const ViewTicket(this.ticketId, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return ViewTicketState();
  }
}

class ViewTicketState extends State<ViewTicket> {

  final _scaffoldKey = GlobalKey<ScaffoldState>();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    store.dispatch(UpdateContext(context));

    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        Scaffold(
          key: _scaffoldKey,
          appBar: MiniNavigationBar(
            title: S.of(context).view_ticket,
            back: true,
            breadCrumbs: [
              BreadCrumb(S.of(context).view_ticket, null),
            ],
            breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
          ),
          drawer: null,
          body: ScreenTypeLayout.builder(
            mobile: (context) => MobileViewTicket(widget.ticketId),
            tablet: (context) => DesktopViewTicket(widget.ticketId),
            desktop: (context) => DesktopViewTicket(widget.ticketId),
          ),
          bottomNavigationBar: ScreenTypeLayout.builder(
            mobile: (context) => MobileBottomNav(currentIndex: 0,),
            tablet: (context) => BottomNav(),
            desktop: (context) => BottomNav(),
          ),
        ),
    );
  }
}